IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI_KAYIT
GO

CREATE PROCEDURE [dbo].[SPUSS_227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI_KAYIT] 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI_KAYIT 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


SELECT 
 USS227.ID USSDIGER_ID
,USS227.HDOSYAID
,USS227.HMUAYENEID
,USS227.HKIMLIKID
,USS227.HYATISID,


USS227.UYGULAMA_BIRIMI AS UYGULAMA_BIRIMI_ID,
TUYGULAMA_BIRIMI.AD AS UYGULAMA_BIRIMI_ADI,

(SELECT TOP 1 ICDKOD FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) GERI_BILDIRIMI_MECBURI_OLAN_KOMPLIKASYON_ID,
(SELECT TOP 1 (SELECT TICD.ICDADI FROM TICD WHERE TICD.ICDKOD=HDOSYAICD.ICDKOD) FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) GERI_BILDIRIMI_MECBURI_OLAN_KOMPLIKASYON_ADI,


USS227.TEDAVI_SONUCU AS TEDAVI_SONUCU_ID,
TTEDAVI_SONUCU.AD AS TEDAVI_SONUCU_ADI,

USS227.UYGULAMA_TURU AS UYGULAMA_TURU_ID,
TUYGULAMA_TURU.AD AS UYGULAMA_TURU_ADI,

USS227.SON_SEANS AS SON_SEANS_ID,
TSON_SEANS.AD AS SON_SEANS_ADI,

USS227.UYGULANDIGI_DURUM_1 AS UYGULANDIGI_DURUM_1_ID,
TUYGULANDIGI_DURUM_1.AD AS UYGULANDIGI_DURUM_1_ADI,

USS227.UYGULANDIGI_DURUM_2 AS UYGULANDIGI_DURUM_2_ID,
TUYGULANDIGI_DURUM_2.AD AS UYGULANDIGI_DURUM_2_ADI,

USS227.UYGULAMA_BOLGESI_1 AS UYGULAMA_BOLGESI_1_ID,
TUYGULAMA_BOLGESI_1.AD AS UYGULAMA_BOLGESI_1_ADI,

USS227.UYGULAMA_BOLGESI_2 AS UYGULAMA_BOLGESI_2_ID,
TUYGULAMA_BOLGESI_2.AD AS UYGULAMA_BOLGESI_2_ADI,

HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK

INTO #TMPUSSDIGER 

FROM USS227_GELENEKSEL_TAMAMLAYICI_TIP_UYGULAMALARI AS USS227
INNER JOIN HDOSYA ON HDOSYA.HDOSYAID = USS227.HDOSYAID
LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
LEFT JOIN	SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID

LEFT JOIN 
(
SELECT 'ÜNİTE' AS AD, 1 AS ID
UNION ALL
SELECT 'MERKEZ' AS AD, 2 AS ID
) TUYGULAMA_BIRIMI ON TUYGULAMA_BIRIMI.ID=USS227.UYGULAMA_BIRIMI

LEFT JOIN 
(
SELECT 'TAM İYİLEŞME' AS AD, 1 AS ID
UNION ALL
SELECT 'KISMİ İYİLEŞME' AS AD, 2 AS ID
UNION ALL
SELECT 'STABİL' AS AD, 3 AS ID
UNION ALL
SELECT 'HASTALIĞIN ŞİDDETLENMESİ' AS AD, 4 AS ID

) TTEDAVI_SONUCU ON TTEDAVI_SONUCU.ID=USS227.TEDAVI_SONUCU

LEFT JOIN
(
SELECT 'AKUPUNKTUR' AS AD, 1 AS ID
UNION ALL
SELECT 'OZON UYGULAMASI' AS AD, 10 AS ID
UNION ALL
SELECT 'PROLOTERAPİ' AS AD, 11 AS ID
UNION ALL
SELECT 'REFLEKSOLOJİ' AS AD, 12 AS ID
UNION ALL
SELECT 'SÜLÜK UYGULAMASI' AS AD, 13 AS ID
UNION ALL
SELECT 'APİTERAPİ' AS AD, 14 AS ID
UNION ALL
SELECT 'KAYROPRAKTİK' AS AD, 15 AS ID
UNION ALL
SELECT 'FİTOTERAPİ' AS AD, 2 AS ID
UNION ALL
SELECT 'HİPNOZ UYGULAMASI' AS AD, 3 AS ID
UNION ALL
SELECT 'HOMEOPATİ' AS AD, 4 AS ID
UNION ALL
SELECT 'KUPA UYGULAMASI' AS AD, 5 AS ID
UNION ALL
SELECT 'LARVA' AS AD, 6 AS ID
UNION ALL
SELECT 'MEZOTERAPİ' AS AD, 7 AS ID
UNION ALL
SELECT 'MÜZİKTERAPİ' AS AD, 8 AS ID
UNION ALL
SELECT 'OSTEOPATİ' AS AD, 9 AS ID
) TUYGULAMA_TURU ON TUYGULAMA_TURU.ID = USS227.UYGULAMA_TURU

LEFT JOIN
(
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TSON_SEANS ON TSON_SEANS.ID = USS227.SON_SEANS

LEFT JOIN
(
SELECT 'Akne' AS AD, 1 AS ID
UNION ALL
SELECT 'Akut ve kronik boyun ve bel ağrısı' AS AD, 2 AS ID
UNION ALL
SELECT 'Akut ve kronik yumuşak doku zorlamaları' AS AD, 3 AS ID
UNION ALL
SELECT 'Alerji,egzema ve cilt kuruluğuna bağlı kaşıntı' AS AD, 4 AS ID
UNION ALL
SELECT 'Alerjik astım' AS AD, 5 AS ID
UNION ALL
SELECT 'Alerjik rinit' AS AD, 6 AS ID
UNION ALL
SELECT 'Alkol bağımlılık tedavisinde (sadece psikiyatri uzmanı tarafından uygulanabilir)' AS AD, 7 AS ID
UNION ALL
SELECT 'Alopesia' AS AD, 8 AS ID
UNION ALL
SELECT 'Alt ekstremite variköz ven hastalıklarında ağrı' AS AD, 9 AS ID
UNION ALL
SELECT 'Ani fleksiyon ekstansiyon zorlanmalarıyla ilişkili ağrılar' AS AD, 10 AS ID
UNION ALL
SELECT 'Anksiyete bozukluğu ve stres bozuklukları' AS AD, 11 AS ID
UNION ALL
SELECT 'Astım tedavisinde anksiyeteyi azaltarak destekleyici' AS AD, 12 AS ID
UNION ALL
SELECT 'Atopik dermatit,seboreik dermatit,ürtiker gibi organik nedeni olmayan kaşıntılar' AS AD, 13 AS ID
UNION ALL
SELECT 'Ayaktan ameliyat sonrası rehabilitasyon' AS AD, 14 AS ID
UNION ALL
SELECT 'Bağ dokusu patolojisine ait ağrı,kızarıklık ve hareket kısıtlılığı' AS AD, 15 AS ID
UNION ALL
SELECT 'Bağ ve kas yaralanmalarına bağlı kısmi yırtılmaları' AS AD, 16 AS ID
UNION ALL
SELECT 'Bağışıklık sisteminin güçlendirilmesi' AS AD, 17 AS ID
UNION ALL
SELECT 'Bel fıtığı akut konservatif dönem' AS AD, 18 AS ID
UNION ALL
SELECT 'Doğum ağrısı' AS AD, 19 AS ID
UNION ALL
SELECT 'Brakiyal nevralji' AS AD, 20 AS ID
UNION ALL
SELECT 'Çocuklarda koordinasyon ve psikomotor fonksiyon bozuklukları' AS AD, 21 AS ID
UNION ALL
SELECT 'Dikkat eksikliği ve hiperaktivite tanısı alanlarda tedaviye destek amaçlı' AS AD, 22 AS ID
UNION ALL
SELECT 'Diskopatik ağrılar' AS AD, 23 AS ID
UNION ALL
SELECT 'Dismenore' AS AD, 24 AS ID
UNION ALL
SELECT 'Diş ağrıları' AS AD, 25 AS ID
UNION ALL
SELECT 'Diş hekimliğinde;fobilerde,ağrı giderme,anestezi,diş gıcırdatma,tedaviye ve protezlere uyumu arttırıcı,temporamandibüler eklem disfonksiyonu,trigeminal nevralji,ağız içi problemlerin giderilmesi' AS AD, 26 AS ID
UNION ALL
SELECT 'Diyabetik ayak ülseri' AS AD, 27 AS ID
UNION ALL
SELECT 'Diyabetik yaralar (İlgili uzman tarafından yönlendirilmiş )' AS AD, 28 AS ID
UNION ALL
SELECT 'Diz ağrısı (osteoartrit vb.)' AS AD, 29 AS ID
UNION ALL
SELECT 'Egzema' AS AD, 30 AS ID
UNION ALL
SELECT 'Eklem ağrıları' AS AD, 31 AS ID
UNION ALL
SELECT 'Eklem bağ gevşekliklerine bağlı ağrı, şişlik' AS AD, 32 AS ID
UNION ALL
SELECT 'Dejeneratif eklem hastalıkları(osteoartrit)' AS AD, 33 AS ID
UNION ALL
SELECT 'Eklem dejenerasyonu sonrası oluşacak ağrı,sertlik,şişlikler ve hareket kısıstlılığı' AS AD, 34 AS ID
UNION ALL
SELECT 'Eklem sertliği ve dejenerasyonu' AS AD, 35 AS ID
UNION ALL
SELECT 'Acil tıpta kaygı giderilmesinde ve tedaviye uyumun arttırılmasında' AS AD, 36 AS ID
UNION ALL
SELECT 'Eklem,tendon ve ligaman yaralanmaları' AS AD, 37 AS ID
UNION ALL
SELECT 'Akut ve kronik ağrıda' AS AD, 38 AS ID
UNION ALL
SELECT 'Fibromiyalji sendromu' AS AD, 39 AS ID
UNION ALL
SELECT 'Eksojen obezite tanısı almış hastada diyete uyum' AS AD, 40 AS ID
UNION ALL
SELECT 'Felçli hastaların rehabilitasyonunda yardımcı' AS AD, 41 AS ID
UNION ALL
SELECT 'Fonksiyonel gastrointestinal sistem bozuklukları' AS AD, 42 AS ID
UNION ALL
SELECT 'Gebelik ve doğum süresince ve kadın hastalıklarında' AS AD, 43 AS ID
UNION ALL
SELECT 'Gebelikle ilgili bulantı ve kusmalar' AS AD, 44 AS ID
UNION ALL
SELECT 'Genel iyilik halinin oluşması ve sürdürülmesine yardımcı olarak' AS AD, 45 AS ID
UNION ALL
SELECT 'Depresyon (sadece psikiyatri uzmanı tarafından uygulanabilir)' AS AD, 46 AS ID
UNION ALL
SELECT 'Geriatrik hastalarda' AS AD, 47 AS ID
UNION ALL
SELECT 'Geriatrik yaş grubunun osteoartrit vb. kas iskelet sistemi sorunları' AS AD, 48 AS ID
UNION ALL
SELECT 'Gerilim tipi ve migren gibi organik olmayan baş ağrıları' AS AD, 49 AS ID
UNION ALL
SELECT 'Gingivit' AS AD, 50 AS ID
UNION ALL
SELECT 'Herhangi bir organik bozukluk tanımlanmayan kişilerde immün sisemin güçlendirilmesi' AS AD, 51 AS ID
UNION ALL
SELECT 'Hidrolipodistrofiler' AS AD, 52 AS ID
UNION ALL
SELECT 'Hiperaktif detrüsör kasına bağlı idrar kaçırmada yardımcı yöntem olarak kullanılır' AS AD, 53 AS ID
UNION ALL
SELECT 'İlaç yan etkisine bağlı,taşıt tutması ve' AS AD, 54 AS ID
UNION ALL
SELECT 'İmmün sistemi güçlendirme' AS AD, 55 AS ID
UNION ALL
SELECT 'infertilite' AS AD, 56 AS ID
UNION ALL
SELECT 'İntraoperatif ağrı,anksiyete' AS AD, 57 AS ID
UNION ALL
SELECT 'İrritabl bağırsak sendromu' AS AD, 58 AS ID
UNION ALL
SELECT 'İskialji' AS AD, 59 AS ID
UNION ALL
SELECT 'Kas iskelet sisteminin mekanik ağrısı' AS AD, 60 AS ID
UNION ALL
SELECT 'Kas spazmı' AS AD, 61 AS ID
UNION ALL
SELECT 'Kaygı giderilmesinde ve tedaviye uyumun arttırılmasında' AS AD, 62 AS ID
UNION ALL
SELECT 'Kaza sonrası ağrı sendromları' AS AD, 63 AS ID
UNION ALL
SELECT 'Keloid' AS AD, 64 AS ID
UNION ALL
SELECT 'Kemoterapi ve radyoterapiye bağlı bulantı,kusma,ağrı,ağız kuruluğu,stomatit' AS AD, 65 AS ID
UNION ALL
SELECT 'Kısmi tendon yaralanmaları ve aşırı kullanım sendromu' AS AD, 66 AS ID
UNION ALL
SELECT 'Kişilik bozuklukları' AS AD, 67 AS ID
UNION ALL
SELECT 'Koksiks ağrısı' AS AD, 68 AS ID
UNION ALL
SELECT 'Kronik dönem bel ağrıları' AS AD, 69 AS ID
UNION ALL
SELECT 'Kronik nörolojik hastalıklarda (Alzheimer hastalığı ve Multipl Skleroz) destekleyici amaçlı' AS AD, 70 AS ID
UNION ALL
SELECT 'Kronik servikal bölge kaynaklı baş ağrısı' AS AD, 71 AS ID
UNION ALL
SELECT 'Kronik yorgunluk sendromu' AS AD, 72 AS ID
UNION ALL
SELECT 'Lateral epikondilit gibi hastalıklarda ağrı' AS AD, 73 AS ID
UNION ALL
SELECT 'Lomber spinal stenozun erken konservatif tedavisi' AS AD, 74 AS ID
UNION ALL
SELECT 'Lomber torakal ve servikal disk hernilerinin erken konservatif tedavisi' AS AD, 75 AS ID
UNION ALL
SELECT 'Mekanik faset eklem kaynaklı,biyomekanik disfonksiyonlar,' AS AD, 76 AS ID
UNION ALL
SELECT 'Mekanik kas iskelet sistemi ağrıları' AS AD, 77 AS ID
UNION ALL
SELECT 'Mesleki ve spor ile illişkili rekreasyonel kas iskelet sistemi yaralanmaları' AS AD, 78 AS ID
UNION ALL
SELECT 'Migren ve gerilim tipi baş ağrısı gibi organik olmayan baş ağrıları' AS AD, 79 AS ID
UNION ALL
SELECT 'Mikro dolaşım bozukluğuna bağlı ödemlerde destekleyici' AS AD, 80 AS ID
UNION ALL
SELECT 'Miyofasiyal ağrı sendromu' AS AD, 81 AS ID
UNION ALL
SELECT 'Multipl skleroz,parkinson gibi kronik organik hastalıkların rehabilitasyonunda yardımcı' AS AD, 82 AS ID
UNION ALL
SELECT 'Myofasiyal ağrı sendromu' AS AD, 83 AS ID
UNION ALL
SELECT 'Nöropatik ağrılar' AS AD, 84 AS ID
UNION ALL
SELECT 'Obesite tedavisinde destekleyici' AS AD, 85 AS ID
UNION ALL
SELECT 'Omurga disk kaymaları' AS AD, 86 AS ID
UNION ALL
SELECT 'Omurga ve iskelet sistemi hareket ve fonksiyon bozuklukları' AS AD, 87 AS ID
UNION ALL
SELECT 'Omurga ve kemik eklem sisteminin akut ve kronik ağrı sendromları' AS AD, 88 AS ID
UNION ALL
SELECT 'Omurga,göğüs kafesi ve kaburgalarda geçmeyen kas ve ligament kaynaklı ağrılar' AS AD, 89 AS ID
UNION ALL
SELECT 'Organik bir nedene bağlı olmayan gece işemeleri' AS AD, 90 AS ID
UNION ALL
SELECT 'Organik bir rahatsızlığı tanımlanmayan hastalarada immün sistemi güçlendirir' AS AD, 91 AS ID
UNION ALL
SELECT 'Organik nedene bağlı olmayan uyku bozukluğu' AS AD, 92 AS ID
UNION ALL
SELECT 'Organik nedeni olmayan vertigo' AS AD, 93 AS ID
UNION ALL
SELECT 'Organik olmayan cinsel fonksiyon bozuklukları' AS AD, 94 AS ID
UNION ALL
SELECT 'Periodontitis' AS AD, 95 AS ID
UNION ALL
SELECT 'Plantar fasitis ağrı' AS AD, 96 AS ID
UNION ALL
SELECT 'Polikistik over sendromu' AS AD, 97 AS ID
UNION ALL
SELECT 'Postoperatif ağrı,bulantı,kusma ve anksiyete ile baş etme' AS AD, 98 AS ID
UNION ALL
SELECT 'Postural kusurlar' AS AD, 99 AS ID
UNION ALL
SELECT 'Postürel skolyoz' AS AD, 100 AS ID
UNION ALL
SELECT 'Premenstruel Sendrom' AS AD, 101 AS ID
UNION ALL
SELECT 'Preoperatif ameliyat korkusunu yenme,anksiyete ve ağrıyla baş etme' AS AD, 102 AS ID
UNION ALL
SELECT 'Progresif motor defisit ve kauda equina sendromu saptanmayan sinir kökü irritasyonları.Omuz,sakroiliak eklem temporamandibuler eklem,kalça,diz,el,ayak eklem disfonsiyonları' AS AD, 103 AS ID
UNION ALL
SELECT 'Psikosomatik sendromlar,anksiyete,depresyon' AS AD, 104 AS ID
UNION ALL
SELECT 'Romatizmal hastalıklara ait artrit,ağız kuruluğu gibi durumlarda' AS AD, 105 AS ID
UNION ALL
SELECT 'Romatizmal hastalıklara ait kronik ağrı,eklem hareket kısıtlılığı,sabah tutukluğu,yorgunluk gibi durumlarda' AS AD, 106 AS ID
UNION ALL
SELECT 'Sekonder immün yetmezliklerde immün sistemi destekleyici' AS AD, 107 AS ID
UNION ALL
SELECT 'serviko-brakiyal nevraljiler' AS AD, 108 AS ID
UNION ALL
SELECT 'Sigara bırakmada tedaviye destekleyici' AS AD, 109 AS ID
UNION ALL
SELECT 'Sindirim sistemi hastalıklarına ait bulantı,kusma,kabızlık gibi durumlarda' AS AD, 110 AS ID
UNION ALL
SELECT 'Sindirim sistemi hastalıklarına ait Gastro-Özefajial Reflü ve gastrite bağlı mide ağrısı ve yanmasında,bulantı ,kusma, ishal gibi durumlarda' AS AD, 111 AS ID
UNION ALL
SELECT 'Sindrim sistemi,üriner sistem,ürogenital,solunum ve dolaşım sistemleri fonksiyonel bozuklukları' AS AD, 112 AS ID
UNION ALL
SELECT 'Siyatalji' AS AD, 113 AS ID
UNION ALL
SELECT 'Solunum sisteminin kronik hastalıklarında günlük yaşam kalitesini artırmaya yönelik' AS AD, 114 AS ID
UNION ALL
SELECT 'Solunum yolları hastalıklarına ait burun akıntısı,burun tıkanıklığı,öksürük,ateş,yutma güçlüğü,stomatit gibi durumlarda' AS AD, 115 AS ID
UNION ALL
SELECT 'Sosyal fobiler' AS AD, 116 AS ID
UNION ALL
SELECT 'Spastisite ,serebral palsi gibi nöromüsküler problemler' AS AD, 117 AS ID
UNION ALL
SELECT 'Spazmodik patolojilere bağlı ağrılarda' AS AD, 118 AS ID
UNION ALL
SELECT 'Tanısal ve girişimsel işlemler sırasında' AS AD, 119 AS ID
UNION ALL
SELECT 'Tekrarlayan baş,boyun,sırt ve bel ağrıları' AS AD, 120 AS ID
UNION ALL
SELECT 'Topuk dikeni' AS AD, 121 AS ID
UNION ALL
SELECT 'Trigeminus nevraljileri' AS AD, 122 AS ID
UNION ALL
SELECT 'Uyku bozuklukları' AS AD, 123 AS ID
UNION ALL
SELECT 'Variköz ven postoperatif hmatom ve ağrının azaltılması gibi durumlar' AS AD, 124 AS ID
UNION ALL
SELECT 'Venöz staz ülserleri' AS AD, 125 AS ID
UNION ALL
SELECT 'Vertebra ve disk patolojilerine bağlı yansıyan ağrı (para vertebral enjeksiyon)' AS AD, 126 AS ID
UNION ALL
SELECT 'Yangısız selülit' AS AD, 127 AS ID
UNION ALL
SELECT 'Yeme bozuklukları' AS AD, 128 AS ID
UNION ALL
SELECT 'Yumuşak doku spor yaralanmaları' AS AD, 129 AS ID
UNION ALL
SELECT 'Zeka geriliğinde öğrenmenin kolaylaştırılması ve çevreyle iletişiminin arttırılmasında' AS AD, 130 AS ID
UNION ALL
SELECT 'Alkol bağımlılığı tedavisinde oluşacak sıkıntıların azatılmasında' AS AD, 131 AS ID
UNION ALL
SELECT 'Anksiyete bozukluklarında destekleyici' AS AD, 132 AS ID
UNION ALL
SELECT 'Arı zehiri; kas iskelet sistemi ağrı,kızarıklık,hassasiyet, gibi semptomların azaltılması,bacak kas kontraktürleri veya kas güçsüzlüğünde kas kuvvet artışına yardımcı amaçlı' AS AD, 133 AS ID
UNION ALL
SELECT 'Arteritler,mikro-dolaşım sorunları,jinekoloji ve doğum vasküler patolojileri' AS AD, 134 AS ID
UNION ALL
SELECT 'Arteriyel/iskemik ülserler' AS AD, 135 AS ID
UNION ALL
SELECT 'Artritler,romatoid poliartritler,akut romatizmalar gibi eklem patolojileri' AS AD, 136 AS ID
UNION ALL
SELECT 'Bağımlılık tedavisinde destekleyici' AS AD, 137 AS ID
UNION ALL
SELECT 'Bal;kronik deri yaralarında iyileşmeye destekleyici amaçlı topikal olarak uygulanabilir' AS AD, 138 AS ID
UNION ALL
SELECT 'Bası ülseri' AS AD, 139 AS ID
UNION ALL
SELECT 'Çocukta ekstubasyon sonrası solunum sıkıntısı' AS AD, 140 AS ID
UNION ALL
SELECT 'Çocukta perioperatif dönemde destekleyici' AS AD, 141 AS ID
UNION ALL
SELECT 'Dikkat eksikliği ve hiperaktivite bozuklukları' AS AD, 142 AS ID
UNION ALL
SELECT 'Diyabete bağlı olmayan nöropatik ayak ülserleri' AS AD, 143 AS ID
UNION ALL
SELECT 'Doğum ağrılarının azaltılması' AS AD, 144 AS ID
UNION ALL
SELECT 'Doğum sırasında' AS AD, 145 AS ID
UNION ALL
SELECT 'Doğum sırasında ağrı ve anksiyetenin azaltılmasında' AS AD, 146 AS ID
UNION ALL
SELECT 'Enfekte diyabetik yaralar' AS AD, 147 AS ID
UNION ALL
SELECT 'Enflamatuar eklem hastalıkları,arteritler,mikro dolaşım sorunları olanlar' AS AD, 148 AS ID
UNION ALL
SELECT 'Fiziksel travma ve yaralanmalarda destekleyici' AS AD, 149 AS ID
UNION ALL
SELECT 'Flep cerrahisi sonrası görülen venöz yetmezlikler' AS AD, 150 AS ID
UNION ALL
SELECT 'Hamile kadınlarda ağrı sendromları' AS AD, 151 AS ID
UNION ALL
SELECT 'Hemiplejide genel rehabilitasyon uygulamalarını destekleyici' AS AD, 152 AS ID
UNION ALL
SELECT 'Hipertansiyonda genel rehabilitasyon uygulamalarını destekleyici' AS AD, 153 AS ID
UNION ALL
SELECT 'Hormanal denge bozukluklarında destekleyici amaçlı' AS AD, 154 AS ID
UNION ALL
SELECT 'İdiopatik ve/veya Sjögren hastalığına bağlı göz kuruluğu' AS AD, 155 AS ID
UNION ALL
SELECT 'İnmeye bağlı gelişen hıçkırık,yorgunluk,afazi gibi durumlarda' AS AD, 156 AS ID
UNION ALL
SELECT 'İnmeye bağlı kısmi felçlerde kas kontraktürleri veya güçsüzlüğü' AS AD, 157 AS ID
UNION ALL
SELECT 'İntraoperatif ağrı ve anestezinin sağlanmasında' AS AD, 158 AS ID
UNION ALL
SELECT 'Kanser gibi ağır kronik hastalıklarda palyatif kullanım' AS AD, 159 AS ID
UNION ALL
SELECT 'Kanser hastalarında ortaya çıkan ağrı,kusma,kaygı ve ilaç yan etkileriyle baş edilmesinde' AS AD, 160 AS ID
UNION ALL
SELECT 'Kemoterapi ve radyoterapinin bulantı ,kusma,ağrı,ağız kuruluğu,anksiyete,radyodermatit yan etkilerinin azaltılmasında' AS AD, 161 AS ID
UNION ALL
SELECT 'Kronik göz hastalıklarında hastanın tedaviye uyumunun artırılması' AS AD, 162 AS ID
UNION ALL
SELECT 'multiple sklerozda genel rehabilitasyon uygulamalarını destekleyici' AS AD, 163 AS ID
UNION ALL
SELECT 'Nekrozitan fasiit' AS AD, 164 AS ID
UNION ALL
SELECT 'Nevraljilere bağlı ağrılarda' AS AD, 165 AS ID
UNION ALL
SELECT 'Nöropatik ağrı' AS AD, 166 AS ID
UNION ALL
SELECT 'Osteomyelit' AS AD, 167 AS ID
UNION ALL
SELECT 'Panik atak tedavsinde destekleyici' AS AD, 168 AS ID
UNION ALL
SELECT 'Postoperarif ağrı' AS AD, 169 AS ID
UNION ALL
SELECT 'Postoperatif ajitasyon,ödem,yara iyileşmesi şikayetlerinin azaltılmasında' AS AD, 170 AS ID
UNION ALL
SELECT 'Postoperatif yaralar' AS AD, 171 AS ID
UNION ALL 
SELECT 'Preoperatif anksiyete' AS AD, 172 AS ID
UNION ALL
SELECT 'Progresif nörolojik defisiti olmayan ve kauda ekuina saptanmayan sinir kökü irritasyonları' AS AD, 173 AS ID
UNION ALL
SELECT 'Replantasyon ve revaskülarizasyon sonrası venöz yetmezlikler' AS AD, 174 AS ID
UNION ALL
SELECT 'Revaskülarizasyon şansı olmayan kritik iskemili ekstremite yaraları' AS AD, 175 AS ID
UNION ALL
SELECT 'Serebral palside genel rehabilitasyon uygulamalarını destekleyici' AS AD, 176 AS ID
UNION ALL
SELECT 'Sinir kökü irritasyonları' AS AD, 177 AS ID
UNION ALL
SELECT 'Travmaların iyileşme süresinin kısaltılması' AS AD, 178 AS ID
UNION ALL
SELECT 'Travmatik iyileşmeyen yaralar' AS AD, 179 AS ID
UNION ALL
SELECT 'Unutkanlık ve hafıza problemlerinde yaşam kalitesinin artırılması' AS AD, 180 AS ID
UNION ALL
SELECT 'Ürolitiyazis ağrısı' AS AD, 181 AS ID
UNION ALL
SELECT 'Vertebral disk patolojileri (Skopi altında intradiskal enjeksiyon)' AS AD, 182 AS ID
UNION ALL
SELECT 'Vissero-somatik fonksiyon bozukluklarına bağlı rahatsızlıklar' AS AD, 183 AS ID
UNION ALL
SELECT 'Yanık tedavisinde ağrı ve anksiyete azaltılması' AS AD, 184 AS ID
UNION ALL
SELECT 'Yoğun bakım ünitelerinde ağrı ve anksiyete azaltılmasıdna' AS AD, 185 AS ID
) TUYGULANDIGI_DURUM_1 ON TUYGULANDIGI_DURUM_1.ID = USS227.UYGULANDIGI_DURUM_1

LEFT JOIN
(
SELECT 'Akne' AS AD, 1 AS ID
UNION ALL
SELECT 'Akut ve kronik boyun ve bel ağrısı' AS AD, 2 AS ID
UNION ALL
SELECT 'Akut ve kronik yumuşak doku zorlamaları' AS AD, 3 AS ID
UNION ALL
SELECT 'Alerji,egzema ve cilt kuruluğuna bağlı kaşıntı' AS AD, 4 AS ID
UNION ALL
SELECT 'Alerjik astım' AS AD, 5 AS ID
UNION ALL
SELECT 'Alerjik rinit' AS AD, 6 AS ID
UNION ALL
SELECT 'Alkol bağımlılık tedavisinde (sadece psikiyatri uzmanı tarafından uygulanabilir)' AS AD, 7 AS ID
UNION ALL
SELECT 'Alopesia' AS AD, 8 AS ID
UNION ALL
SELECT 'Alt ekstremite variköz ven hastalıklarında ağrı' AS AD, 9 AS ID
UNION ALL
SELECT 'Ani fleksiyon ekstansiyon zorlanmalarıyla ilişkili ağrılar' AS AD, 10 AS ID
UNION ALL
SELECT 'Anksiyete bozukluğu ve stres bozuklukları' AS AD, 11 AS ID
UNION ALL
SELECT 'Astım tedavisinde anksiyeteyi azaltarak destekleyici' AS AD, 12 AS ID
UNION ALL
SELECT 'Atopik dermatit,seboreik dermatit,ürtiker gibi organik nedeni olmayan kaşıntılar' AS AD, 13 AS ID
UNION ALL
SELECT 'Ayaktan ameliyat sonrası rehabilitasyon' AS AD, 14 AS ID
UNION ALL
SELECT 'Bağ dokusu patolojisine ait ağrı,kızarıklık ve hareket kısıtlılığı' AS AD, 15 AS ID
UNION ALL
SELECT 'Bağ ve kas yaralanmalarına bağlı kısmi yırtılmaları' AS AD, 16 AS ID
UNION ALL
SELECT 'Bağışıklık sisteminin güçlendirilmesi' AS AD, 17 AS ID
UNION ALL
SELECT 'Bel fıtığı akut konservatif dönem' AS AD, 18 AS ID
UNION ALL
SELECT 'Doğum ağrısı' AS AD, 19 AS ID
UNION ALL
SELECT 'Brakiyal nevralji' AS AD, 20 AS ID
UNION ALL
SELECT 'Çocuklarda koordinasyon ve psikomotor fonksiyon bozuklukları' AS AD, 21 AS ID
UNION ALL
SELECT 'Dikkat eksikliği ve hiperaktivite tanısı alanlarda tedaviye destek amaçlı' AS AD, 22 AS ID
UNION ALL
SELECT 'Diskopatik ağrılar' AS AD, 23 AS ID
UNION ALL
SELECT 'Dismenore' AS AD, 24 AS ID
UNION ALL
SELECT 'Diş ağrıları' AS AD, 25 AS ID
UNION ALL
SELECT 'Diş hekimliğinde;fobilerde,ağrı giderme,anestezi,diş gıcırdatma,tedaviye ve protezlere uyumu arttırıcı,temporamandibüler eklem disfonksiyonu,trigeminal nevralji,ağız içi problemlerin giderilmesi' AS AD, 26 AS ID
UNION ALL
SELECT 'Diyabetik ayak ülseri' AS AD, 27 AS ID
UNION ALL
SELECT 'Diyabetik yaralar (İlgili uzman tarafından yönlendirilmiş )' AS AD, 28 AS ID
UNION ALL
SELECT 'Diz ağrısı (osteoartrit vb.)' AS AD, 29 AS ID
UNION ALL
SELECT 'Egzema' AS AD, 30 AS ID
UNION ALL
SELECT 'Eklem ağrıları' AS AD, 31 AS ID
UNION ALL
SELECT 'Eklem bağ gevşekliklerine bağlı ağrı, şişlik' AS AD, 32 AS ID
UNION ALL
SELECT 'Dejeneratif eklem hastalıkları(osteoartrit)' AS AD, 33 AS ID
UNION ALL
SELECT 'Eklem dejenerasyonu sonrası oluşacak ağrı,sertlik,şişlikler ve hareket kısıstlılığı' AS AD, 34 AS ID
UNION ALL
SELECT 'Eklem sertliği ve dejenerasyonu' AS AD, 35 AS ID
UNION ALL
SELECT 'Acil tıpta kaygı giderilmesinde ve tedaviye uyumun arttırılmasında' AS AD, 36 AS ID
UNION ALL
SELECT 'Eklem,tendon ve ligaman yaralanmaları' AS AD, 37 AS ID
UNION ALL
SELECT 'Akut ve kronik ağrıda' AS AD, 38 AS ID
UNION ALL
SELECT 'Fibromiyalji sendromu' AS AD, 39 AS ID
UNION ALL
SELECT 'Eksojen obezite tanısı almış hastada diyete uyum' AS AD, 40 AS ID
UNION ALL
SELECT 'Felçli hastaların rehabilitasyonunda yardımcı' AS AD, 41 AS ID
UNION ALL
SELECT 'Fonksiyonel gastrointestinal sistem bozuklukları' AS AD, 42 AS ID
UNION ALL
SELECT 'Gebelik ve doğum süresince ve kadın hastalıklarında' AS AD, 43 AS ID
UNION ALL
SELECT 'Gebelikle ilgili bulantı ve kusmalar' AS AD, 44 AS ID
UNION ALL
SELECT 'Genel iyilik halinin oluşması ve sürdürülmesine yardımcı olarak' AS AD, 45 AS ID
UNION ALL
SELECT 'Depresyon (sadece psikiyatri uzmanı tarafından uygulanabilir)' AS AD, 46 AS ID
UNION ALL
SELECT 'Geriatrik hastalarda' AS AD, 47 AS ID
UNION ALL
SELECT 'Geriatrik yaş grubunun osteoartrit vb. kas iskelet sistemi sorunları' AS AD, 48 AS ID
UNION ALL
SELECT 'Gerilim tipi ve migren gibi organik olmayan baş ağrıları' AS AD, 49 AS ID
UNION ALL
SELECT 'Gingivit' AS AD, 50 AS ID
UNION ALL
SELECT 'Herhangi bir organik bozukluk tanımlanmayan kişilerde immün sisemin güçlendirilmesi' AS AD, 51 AS ID
UNION ALL
SELECT 'Hidrolipodistrofiler' AS AD, 52 AS ID
UNION ALL
SELECT 'Hiperaktif detrüsör kasına bağlı idrar kaçırmada yardımcı yöntem olarak kullanılır' AS AD, 53 AS ID
UNION ALL
SELECT 'İlaç yan etkisine bağlı,taşıt tutması ve' AS AD, 54 AS ID
UNION ALL
SELECT 'İmmün sistemi güçlendirme' AS AD, 55 AS ID
UNION ALL
SELECT 'infertilite' AS AD, 56 AS ID
UNION ALL
SELECT 'İntraoperatif ağrı,anksiyete' AS AD, 57 AS ID
UNION ALL
SELECT 'İrritabl bağırsak sendromu' AS AD, 58 AS ID
UNION ALL
SELECT 'İskialji' AS AD, 59 AS ID
UNION ALL
SELECT 'Kas iskelet sisteminin mekanik ağrısı' AS AD, 60 AS ID
UNION ALL
SELECT 'Kas spazmı' AS AD, 61 AS ID
UNION ALL
SELECT 'Kaygı giderilmesinde ve tedaviye uyumun arttırılmasında' AS AD, 62 AS ID
UNION ALL
SELECT 'Kaza sonrası ağrı sendromları' AS AD, 63 AS ID
UNION ALL
SELECT 'Keloid' AS AD, 64 AS ID
UNION ALL
SELECT 'Kemoterapi ve radyoterapiye bağlı bulantı,kusma,ağrı,ağız kuruluğu,stomatit' AS AD, 65 AS ID
UNION ALL
SELECT 'Kısmi tendon yaralanmaları ve aşırı kullanım sendromu' AS AD, 66 AS ID
UNION ALL
SELECT 'Kişilik bozuklukları' AS AD, 67 AS ID
UNION ALL
SELECT 'Koksiks ağrısı' AS AD, 68 AS ID
UNION ALL
SELECT 'Kronik dönem bel ağrıları' AS AD, 69 AS ID
UNION ALL
SELECT 'Kronik nörolojik hastalıklarda (Alzheimer hastalığı ve Multipl Skleroz) destekleyici amaçlı' AS AD, 70 AS ID
UNION ALL
SELECT 'Kronik servikal bölge kaynaklı baş ağrısı' AS AD, 71 AS ID
UNION ALL
SELECT 'Kronik yorgunluk sendromu' AS AD, 72 AS ID
UNION ALL
SELECT 'Lateral epikondilit gibi hastalıklarda ağrı' AS AD, 73 AS ID
UNION ALL
SELECT 'Lomber spinal stenozun erken konservatif tedavisi' AS AD, 74 AS ID
UNION ALL
SELECT 'Lomber torakal ve servikal disk hernilerinin erken konservatif tedavisi' AS AD, 75 AS ID
UNION ALL
SELECT 'Mekanik faset eklem kaynaklı,biyomekanik disfonksiyonlar,' AS AD, 76 AS ID
UNION ALL
SELECT 'Mekanik kas iskelet sistemi ağrıları' AS AD, 77 AS ID
UNION ALL
SELECT 'Mesleki ve spor ile illişkili rekreasyonel kas iskelet sistemi yaralanmaları' AS AD, 78 AS ID
UNION ALL
SELECT 'Migren ve gerilim tipi baş ağrısı gibi organik olmayan baş ağrıları' AS AD, 79 AS ID
UNION ALL
SELECT 'Mikro dolaşım bozukluğuna bağlı ödemlerde destekleyici' AS AD, 80 AS ID
UNION ALL
SELECT 'Miyofasiyal ağrı sendromu' AS AD, 81 AS ID
UNION ALL
SELECT 'Multipl skleroz,parkinson gibi kronik organik hastalıkların rehabilitasyonunda yardımcı' AS AD, 82 AS ID
UNION ALL
SELECT 'Myofasiyal ağrı sendromu' AS AD, 83 AS ID
UNION ALL
SELECT 'Nöropatik ağrılar' AS AD, 84 AS ID
UNION ALL
SELECT 'Obesite tedavisinde destekleyici' AS AD, 85 AS ID
UNION ALL
SELECT 'Omurga disk kaymaları' AS AD, 86 AS ID
UNION ALL
SELECT 'Omurga ve iskelet sistemi hareket ve fonksiyon bozuklukları' AS AD, 87 AS ID
UNION ALL
SELECT 'Omurga ve kemik eklem sisteminin akut ve kronik ağrı sendromları' AS AD, 88 AS ID
UNION ALL
SELECT 'Omurga,göğüs kafesi ve kaburgalarda geçmeyen kas ve ligament kaynaklı ağrılar' AS AD, 89 AS ID
UNION ALL
SELECT 'Organik bir nedene bağlı olmayan gece işemeleri' AS AD, 90 AS ID
UNION ALL
SELECT 'Organik bir rahatsızlığı tanımlanmayan hastalarada immün sistemi güçlendirir' AS AD, 91 AS ID
UNION ALL
SELECT 'Organik nedene bağlı olmayan uyku bozukluğu' AS AD, 92 AS ID
UNION ALL
SELECT 'Organik nedeni olmayan vertigo' AS AD, 93 AS ID
UNION ALL
SELECT 'Organik olmayan cinsel fonksiyon bozuklukları' AS AD, 94 AS ID
UNION ALL
SELECT 'Periodontitis' AS AD, 95 AS ID
UNION ALL
SELECT 'Plantar fasitis ağrı' AS AD, 96 AS ID
UNION ALL
SELECT 'Polikistik over sendromu' AS AD, 97 AS ID
UNION ALL
SELECT 'Postoperatif ağrı,bulantı,kusma ve anksiyete ile baş etme' AS AD, 98 AS ID
UNION ALL
SELECT 'Postural kusurlar' AS AD, 99 AS ID
UNION ALL
SELECT 'Postürel skolyoz' AS AD, 100 AS ID
UNION ALL
SELECT 'Premenstruel Sendrom' AS AD, 101 AS ID
UNION ALL
SELECT 'Preoperatif ameliyat korkusunu yenme,anksiyete ve ağrıyla baş etme' AS AD, 102 AS ID
UNION ALL
SELECT 'Progresif motor defisit ve kauda equina sendromu saptanmayan sinir kökü irritasyonları.Omuz,sakroiliak eklem temporamandibuler eklem,kalça,diz,el,ayak eklem disfonsiyonları' AS AD, 103 AS ID
UNION ALL
SELECT 'Psikosomatik sendromlar,anksiyete,depresyon' AS AD, 104 AS ID
UNION ALL
SELECT 'Romatizmal hastalıklara ait artrit,ağız kuruluğu gibi durumlarda' AS AD, 105 AS ID
UNION ALL
SELECT 'Romatizmal hastalıklara ait kronik ağrı,eklem hareket kısıtlılığı,sabah tutukluğu,yorgunluk gibi durumlarda' AS AD, 106 AS ID
UNION ALL
SELECT 'Sekonder immün yetmezliklerde immün sistemi destekleyici' AS AD, 107 AS ID
UNION ALL
SELECT 'serviko-brakiyal nevraljiler' AS AD, 108 AS ID
UNION ALL
SELECT 'Sigara bırakmada tedaviye destekleyici' AS AD, 109 AS ID
UNION ALL
SELECT 'Sindirim sistemi hastalıklarına ait bulantı,kusma,kabızlık gibi durumlarda' AS AD, 110 AS ID
UNION ALL
SELECT 'Sindirim sistemi hastalıklarına ait Gastro-Özefajial Reflü ve gastrite bağlı mide ağrısı ve yanmasında,bulantı ,kusma, ishal gibi durumlarda' AS AD, 111 AS ID
UNION ALL
SELECT 'Sindrim sistemi,üriner sistem,ürogenital,solunum ve dolaşım sistemleri fonksiyonel bozuklukları' AS AD, 112 AS ID
UNION ALL
SELECT 'Siyatalji' AS AD, 113 AS ID
UNION ALL
SELECT 'Solunum sisteminin kronik hastalıklarında günlük yaşam kalitesini artırmaya yönelik' AS AD, 114 AS ID
UNION ALL
SELECT 'Solunum yolları hastalıklarına ait burun akıntısı,burun tıkanıklığı,öksürük,ateş,yutma güçlüğü,stomatit gibi durumlarda' AS AD, 115 AS ID
UNION ALL
SELECT 'Sosyal fobiler' AS AD, 116 AS ID
UNION ALL
SELECT 'Spastisite ,serebral palsi gibi nöromüsküler problemler' AS AD, 117 AS ID
UNION ALL
SELECT 'Spazmodik patolojilere bağlı ağrılarda' AS AD, 118 AS ID
UNION ALL
SELECT 'Tanısal ve girişimsel işlemler sırasında' AS AD, 119 AS ID
UNION ALL
SELECT 'Tekrarlayan baş,boyun,sırt ve bel ağrıları' AS AD, 120 AS ID
UNION ALL
SELECT 'Topuk dikeni' AS AD, 121 AS ID
UNION ALL
SELECT 'Trigeminus nevraljileri' AS AD, 122 AS ID
UNION ALL
SELECT 'Uyku bozuklukları' AS AD, 123 AS ID
UNION ALL
SELECT 'Variköz ven postoperatif hmatom ve ağrının azaltılması gibi durumlar' AS AD, 124 AS ID
UNION ALL
SELECT 'Venöz staz ülserleri' AS AD, 125 AS ID
UNION ALL
SELECT 'Vertebra ve disk patolojilerine bağlı yansıyan ağrı (para vertebral enjeksiyon)' AS AD, 126 AS ID
UNION ALL
SELECT 'Yangısız selülit' AS AD, 127 AS ID
UNION ALL
SELECT 'Yeme bozuklukları' AS AD, 128 AS ID
UNION ALL
SELECT 'Yumuşak doku spor yaralanmaları' AS AD, 129 AS ID
UNION ALL
SELECT 'Zeka geriliğinde öğrenmenin kolaylaştırılması ve çevreyle iletişiminin arttırılmasında' AS AD, 130 AS ID
UNION ALL
SELECT 'Alkol bağımlılığı tedavisinde oluşacak sıkıntıların azatılmasında' AS AD, 131 AS ID
UNION ALL
SELECT 'Anksiyete bozukluklarında destekleyici' AS AD, 132 AS ID
UNION ALL
SELECT 'Arı zehiri; kas iskelet sistemi ağrı,kızarıklık,hassasiyet, gibi semptomların azaltılması,bacak kas kontraktürleri veya kas güçsüzlüğünde kas kuvvet artışına yardımcı amaçlı' AS AD, 133 AS ID
UNION ALL
SELECT 'Arteritler,mikro-dolaşım sorunları,jinekoloji ve doğum vasküler patolojileri' AS AD, 134 AS ID
UNION ALL
SELECT 'Arteriyel/iskemik ülserler' AS AD, 135 AS ID
UNION ALL
SELECT 'Artritler,romatoid poliartritler,akut romatizmalar gibi eklem patolojileri' AS AD, 136 AS ID
UNION ALL
SELECT 'Bağımlılık tedavisinde destekleyici' AS AD, 137 AS ID
UNION ALL
SELECT 'Bal;kronik deri yaralarında iyileşmeye destekleyici amaçlı topikal olarak uygulanabilir' AS AD, 138 AS ID
UNION ALL
SELECT 'Bası ülseri' AS AD, 139 AS ID
UNION ALL
SELECT 'Çocukta ekstubasyon sonrası solunum sıkıntısı' AS AD, 140 AS ID
UNION ALL
SELECT 'Çocukta perioperatif dönemde destekleyici' AS AD, 141 AS ID
UNION ALL
SELECT 'Dikkat eksikliği ve hiperaktivite bozuklukları' AS AD, 142 AS ID
UNION ALL
SELECT 'Diyabete bağlı olmayan nöropatik ayak ülserleri' AS AD, 143 AS ID
UNION ALL
SELECT 'Doğum ağrılarının azaltılması' AS AD, 144 AS ID
UNION ALL
SELECT 'Doğum sırasında' AS AD, 145 AS ID
UNION ALL
SELECT 'Doğum sırasında ağrı ve anksiyetenin azaltılmasında' AS AD, 146 AS ID
UNION ALL
SELECT 'Enfekte diyabetik yaralar' AS AD, 147 AS ID
UNION ALL
SELECT 'Enflamatuar eklem hastalıkları,arteritler,mikro dolaşım sorunları olanlar' AS AD, 148 AS ID
UNION ALL
SELECT 'Fiziksel travma ve yaralanmalarda destekleyici' AS AD, 149 AS ID
UNION ALL
SELECT 'Flep cerrahisi sonrası görülen venöz yetmezlikler' AS AD, 150 AS ID
UNION ALL
SELECT 'Hamile kadınlarda ağrı sendromları' AS AD, 151 AS ID
UNION ALL
SELECT 'Hemiplejide genel rehabilitasyon uygulamalarını destekleyici' AS AD, 152 AS ID
UNION ALL
SELECT 'Hipertansiyonda genel rehabilitasyon uygulamalarını destekleyici' AS AD, 153 AS ID
UNION ALL
SELECT 'Hormanal denge bozukluklarında destekleyici amaçlı' AS AD, 154 AS ID
UNION ALL
SELECT 'İdiopatik ve/veya Sjögren hastalığına bağlı göz kuruluğu' AS AD, 155 AS ID
UNION ALL
SELECT 'İnmeye bağlı gelişen hıçkırık,yorgunluk,afazi gibi durumlarda' AS AD, 156 AS ID
UNION ALL
SELECT 'İnmeye bağlı kısmi felçlerde kas kontraktürleri veya güçsüzlüğü' AS AD, 157 AS ID
UNION ALL
SELECT 'İntraoperatif ağrı ve anestezinin sağlanmasında' AS AD, 158 AS ID
UNION ALL
SELECT 'Kanser gibi ağır kronik hastalıklarda palyatif kullanım' AS AD, 159 AS ID
UNION ALL
SELECT 'Kanser hastalarında ortaya çıkan ağrı,kusma,kaygı ve ilaç yan etkileriyle baş edilmesinde' AS AD, 160 AS ID
UNION ALL
SELECT 'Kemoterapi ve radyoterapinin bulantı ,kusma,ağrı,ağız kuruluğu,anksiyete,radyodermatit yan etkilerinin azaltılmasında' AS AD, 161 AS ID
UNION ALL
SELECT 'Kronik göz hastalıklarında hastanın tedaviye uyumunun artırılması' AS AD, 162 AS ID
UNION ALL
SELECT 'multiple sklerozda genel rehabilitasyon uygulamalarını destekleyici' AS AD, 163 AS ID
UNION ALL
SELECT 'Nekrozitan fasiit' AS AD, 164 AS ID
UNION ALL
SELECT 'Nevraljilere bağlı ağrılarda' AS AD, 165 AS ID
UNION ALL
SELECT 'Nöropatik ağrı' AS AD, 166 AS ID
UNION ALL
SELECT 'Osteomyelit' AS AD, 167 AS ID
UNION ALL
SELECT 'Panik atak tedavsinde destekleyici' AS AD, 168 AS ID
UNION ALL
SELECT 'Postoperarif ağrı' AS AD, 169 AS ID
UNION ALL
SELECT 'Postoperatif ajitasyon,ödem,yara iyileşmesi şikayetlerinin azaltılmasında' AS AD, 170 AS ID
UNION ALL
SELECT 'Postoperatif yaralar' AS AD, 171 AS ID
UNION ALL 
SELECT 'Preoperatif anksiyete' AS AD, 172 AS ID
UNION ALL
SELECT 'Progresif nörolojik defisiti olmayan ve kauda ekuina saptanmayan sinir kökü irritasyonları' AS AD, 173 AS ID
UNION ALL
SELECT 'Replantasyon ve revaskülarizasyon sonrası venöz yetmezlikler' AS AD, 174 AS ID
UNION ALL
SELECT 'Revaskülarizasyon şansı olmayan kritik iskemili ekstremite yaraları' AS AD, 175 AS ID
UNION ALL
SELECT 'Serebral palside genel rehabilitasyon uygulamalarını destekleyici' AS AD, 176 AS ID
UNION ALL
SELECT 'Sinir kökü irritasyonları' AS AD, 177 AS ID
UNION ALL
SELECT 'Travmaların iyileşme süresinin kısaltılması' AS AD, 178 AS ID
UNION ALL
SELECT 'Travmatik iyileşmeyen yaralar' AS AD, 179 AS ID
UNION ALL
SELECT 'Unutkanlık ve hafıza problemlerinde yaşam kalitesinin artırılması' AS AD, 180 AS ID
UNION ALL
SELECT 'Ürolitiyazis ağrısı' AS AD, 181 AS ID
UNION ALL
SELECT 'Vertebral disk patolojileri (Skopi altında intradiskal enjeksiyon)' AS AD, 182 AS ID
UNION ALL
SELECT 'Vissero-somatik fonksiyon bozukluklarına bağlı rahatsızlıklar' AS AD, 183 AS ID
UNION ALL
SELECT 'Yanık tedavisinde ağrı ve anksiyete azaltılması' AS AD, 184 AS ID
UNION ALL
SELECT 'Yoğun bakım ünitelerinde ağrı ve anksiyete azaltılmasıdna' AS AD, 185 AS ID
) TUYGULANDIGI_DURUM_2 ON TUYGULANDIGI_DURUM_2.ID = USS227.UYGULANDIGI_DURUM_2

LEFT JOIN
(
SELECT 'BAŞ' AS AD, 1 AS ID
UNION ALL
SELECT 'BOYUN' AS AD, 2 AS ID
UNION ALL
SELECT 'ORAL KAVİTE' AS AD, 3 AS ID
UNION ALL
SELECT 'DİŞLER' AS AD, 4 AS ID
UNION ALL
SELECT 'OMUZ SAĞ' AS AD, 5 AS ID
UNION ALL
SELECT 'OMUZ SOL' AS AD, 6 AS ID
UNION ALL
SELECT 'DİRSEK SAĞ' AS AD, 7 AS ID
UNION ALL
SELECT 'DİRSEK SOL' AS AD, 8 AS ID
UNION ALL
SELECT 'EL SAĞ' AS AD, 9 AS ID
UNION ALL
SELECT 'EL SOL' AS AD, 10 AS ID
UNION ALL
SELECT 'EL BİLEĞİ SAĞ' AS AD, 11 AS ID
UNION ALL
SELECT 'EL BİLEĞİ SOL' AS AD, 12 AS ID
UNION ALL
SELECT 'SIRT' AS AD, 13 AS ID
UNION ALL
SELECT 'TORAKS (ÖN YÜZ)' AS AD, 14 AS ID
UNION ALL
SELECT 'KARIN' AS AD, 15 AS ID
UNION ALL
SELECT 'BEL' AS AD, 16 AS ID
UNION ALL
SELECT 'PELVİS' AS AD, 17 AS ID
UNION ALL
SELECT 'KALÇA SAĞ' AS AD, 18 AS ID
UNION ALL
SELECT 'KALÇA SOL' AS AD, 19 AS ID
UNION ALL
SELECT 'DİZ SAĞ' AS AD, 20 AS ID
UNION ALL
SELECT 'DİZ SOL' AS AD, 21 AS ID
UNION ALL
SELECT 'AYAK SAĞ' AS AD, 22 AS ID
UNION ALL
SELECT 'AYAK SOL' AS AD, 23 AS ID
UNION ALL
SELECT 'AYAK BİLEĞİ SAĞ' AS AD, 24 AS ID
UNION ALL
SELECT 'AYAK BİLEĞİ SOL' AS AD, 25 AS ID
UNION ALL
SELECT 'TÜM VÜCUT (İNTRAVENÖZ, BİTKİSEL İLAÇ, HOMEOPATİK REMEDİ)' AS AD, 26 AS ID
UNION ALL
SELECT 'BACAK SAĞ' AS AD, 27 AS ID
UNION ALL
SELECT 'BACAK SOL' AS AD, 28 AS ID
UNION ALL
SELECT 'BURUN' AS AD, 29 AS ID
UNION ALL
SELECT 'KOL SAĞ' AS AD, 30 AS ID
UNION ALL
SELECT 'KOL SOL' AS AD, 31 AS ID
UNION ALL
SELECT 'KULAK SAĞ' AS AD, 32 AS ID
UNION ALL
SELECT 'KULAK SOL' AS AD, 33 AS ID
UNION ALL
SELECT 'YÜZ SAĞ' AS AD, 34 AS ID
UNION ALL
SELECT 'YÜZ SOL' AS AD, 35 AS ID
UNION ALL
SELECT 'ALIN' AS AD, 36 AS ID
UNION ALL
SELECT 'KAŞ SAĞ' AS AD, 37 AS ID
UNION ALL
SELECT 'KAŞ SOL' AS AD, 38 AS ID
UNION ALL
SELECT 'EL BAŞ PARMAK SAĞ' AS AD, 39 AS ID
UNION ALL
SELECT 'EL BAŞ PARMAK SOL' AS AD, 40 AS ID
UNION ALL
SELECT 'EL İŞARET PARMAK SAĞ' AS AD, 41 AS ID
UNION ALL
SELECT 'EL İŞARET PARMAK SOL' AS AD, 42 AS ID
UNION ALL
SELECT 'EL ORTA PARMAK SAĞ' AS AD, 43 AS ID
UNION ALL
SELECT 'EL ORTA PARMAK SOL' AS AD, 44 AS ID
UNION ALL
SELECT 'EL YÜZÜK PARMAK SAĞ' AS AD, 45 AS ID
UNION ALL
SELECT 'EL YÜZÜK PARMAK SOL' AS AD, 46 AS ID
UNION ALL
SELECT 'EL SERÇE PARMAK SAĞ' AS AD, 47 AS ID
UNION ALL
SELECT 'EL SERÇE PARMAK SOL' AS AD, 48 AS ID
) TUYGULAMA_BOLGESI_1 ON TUYGULAMA_BOLGESI_1.ID = USS227.UYGULAMA_BOLGESI_1

LEFT JOIN
(
SELECT 'BAŞ' AS AD, 1 AS ID
UNION ALL
SELECT 'BOYUN' AS AD, 2 AS ID
UNION ALL
SELECT 'ORAL KAVİTE' AS AD, 3 AS ID
UNION ALL
SELECT 'DİŞLER' AS AD, 4 AS ID
UNION ALL
SELECT 'OMUZ SAĞ' AS AD, 5 AS ID
UNION ALL
SELECT 'OMUZ SOL' AS AD, 6 AS ID
UNION ALL
SELECT 'DİRSEK SAĞ' AS AD, 7 AS ID
UNION ALL
SELECT 'DİRSEK SOL' AS AD, 8 AS ID
UNION ALL
SELECT 'EL SAĞ' AS AD, 9 AS ID
UNION ALL
SELECT 'EL SOL' AS AD, 10 AS ID
UNION ALL
SELECT 'EL BİLEĞİ SAĞ' AS AD, 11 AS ID
UNION ALL
SELECT 'EL BİLEĞİ SOL' AS AD, 12 AS ID
UNION ALL
SELECT 'SIRT' AS AD, 13 AS ID
UNION ALL
SELECT 'TORAKS (ÖN YÜZ)' AS AD, 14 AS ID
UNION ALL
SELECT 'KARIN' AS AD, 15 AS ID
UNION ALL
SELECT 'BEL' AS AD, 16 AS ID
UNION ALL
SELECT 'PELVİS' AS AD, 17 AS ID
UNION ALL
SELECT 'KALÇA SAĞ' AS AD, 18 AS ID
UNION ALL
SELECT 'KALÇA SOL' AS AD, 19 AS ID
UNION ALL
SELECT 'DİZ SAĞ' AS AD, 20 AS ID
UNION ALL
SELECT 'DİZ SOL' AS AD, 21 AS ID
UNION ALL
SELECT 'AYAK SAĞ' AS AD, 22 AS ID
UNION ALL
SELECT 'AYAK SOL' AS AD, 23 AS ID
UNION ALL
SELECT 'AYAK BİLEĞİ SAĞ' AS AD, 24 AS ID
UNION ALL
SELECT 'AYAK BİLEĞİ SOL' AS AD, 25 AS ID
UNION ALL
SELECT 'TÜM VÜCUT (İNTRAVENÖZ, BİTKİSEL İLAÇ, HOMEOPATİK REMEDİ)' AS AD, 26 AS ID
UNION ALL
SELECT 'BACAK SAĞ' AS AD, 27 AS ID
UNION ALL
SELECT 'BACAK SOL' AS AD, 28 AS ID
UNION ALL
SELECT 'BURUN' AS AD, 29 AS ID
UNION ALL
SELECT 'KOL SAĞ' AS AD, 30 AS ID
UNION ALL
SELECT 'KOL SOL' AS AD, 31 AS ID
UNION ALL
SELECT 'KULAK SAĞ' AS AD, 32 AS ID
UNION ALL
SELECT 'KULAK SOL' AS AD, 33 AS ID
UNION ALL
SELECT 'YÜZ SAĞ' AS AD, 34 AS ID
UNION ALL
SELECT 'YÜZ SOL' AS AD, 35 AS ID
UNION ALL
SELECT 'ALIN' AS AD, 36 AS ID
UNION ALL
SELECT 'KAŞ SAĞ' AS AD, 37 AS ID
UNION ALL
SELECT 'KAŞ SOL' AS AD, 38 AS ID
UNION ALL
SELECT 'EL BAŞ PARMAK SAĞ' AS AD, 39 AS ID
UNION ALL
SELECT 'EL BAŞ PARMAK SOL' AS AD, 40 AS ID
UNION ALL
SELECT 'EL İŞARET PARMAK SAĞ' AS AD, 41 AS ID
UNION ALL
SELECT 'EL İŞARET PARMAK SOL' AS AD, 42 AS ID
UNION ALL
SELECT 'EL ORTA PARMAK SAĞ' AS AD, 43 AS ID
UNION ALL
SELECT 'EL ORTA PARMAK SOL' AS AD, 44 AS ID
UNION ALL
SELECT 'EL YÜZÜK PARMAK SAĞ' AS AD, 45 AS ID
UNION ALL
SELECT 'EL YÜZÜK PARMAK SOL' AS AD, 46 AS ID
UNION ALL
SELECT 'EL SERÇE PARMAK SAĞ' AS AD, 47 AS ID
UNION ALL
SELECT 'EL SERÇE PARMAK SOL' AS AD, 48 AS ID
) TUYGULAMA_BOLGESI_2 ON TUYGULAMA_BOLGESI_2.ID = USS227.UYGULAMA_BOLGESI_2


WHERE USS227.HMUAYENEID= @HMUAYENEID AND USS227.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine kayIT yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USSDIGER_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USSDIGER_ID FROM #TMPUSSDIGER WHERE  ISNULL(USSDIGER_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '


					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USSDIGER_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT								 
    (
        SELECT 
            NEWID() AS 'messageGuid/@value',
            '1' AS 'messageType/@version',
            '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
            '227' AS 'messageType/@code',
            'Geleneksel ve Tamamlayıcı Tıp Uygulamaları Veri Seti' AS 'messageType/@value',
            LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
            (
                SELECT	
                    '1' AS 'healthcareProvider/@version',
                    'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
                    SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
                    SUBELER_SUBEADI as 'healthcareProvider/@value'  
                FOR XML PATH('author'), TYPE
            ),
            SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
            (
                SELECT 
                    (
                        SELECT 
                            (
                                 
                                 SELECT 
								 --<UYGULAMA_BIRIMI version="1" codeSystemGuid="dbcde848-ab30-407a-9a5c-169900b0b515" code="Code" value="UYGULAMA_BIRIMI" />
                                    (SELECT '1' AS '@version', 'dbcde848-ab30-407a-9a5c-169900b0b515' AS '@codeSystemGuid', UYGULAMA_BIRIMI_ID AS '@code', UYGULAMA_BIRIMI_ADI AS '@value' FOR XML PATH('UYGULAMA_BIRIMI'), TYPE),
                                    (
                                        SELECT 
											--<GERI_BILDIRIMI_MECBURI_OLAN_KOMPLIKASYON version="1" codeSystemGuid="c3eaabad-8c4c-56ee-e043-14031b0a5530" code="Code" value="GERI_BILDIRIMI_MECBURI_OLAN_KOMPLIKASYON" />
											(SELECT '1' AS '@version', 'c3eaabad-8c4c-56ee-e043-14031b0a5530' AS '@codeSystemGuid', GERI_BILDIRIMI_MECBURI_OLAN_KOMPLIKASYON_ID AS '@code', GERI_BILDIRIMI_MECBURI_OLAN_KOMPLIKASYON_ADI AS '@value' FOR XML PATH('GERI_BILDIRIMI_MECBURI_OLAN_KOMPLIKASYON'), TYPE),

											--<TEDAVI_SONUCU version="1" codeSystemGuid="a4801c6b-8bd7-4407-8353-b8a143571f03" code="Code" value="TEDAVI_SONUCU" />
											(SELECT '1' AS '@version', 'a4801c6b-8bd7-4407-8353-b8a143571f03' AS '@codeSystemGuid', TEDAVI_SONUCU_ID AS '@code', TEDAVI_SONUCU_ADI AS '@value' FOR XML PATH('TEDAVI_SONUCU'), TYPE),

											--<UYGULAMA_TURU version="1" codeSystemGuid="7cc5b0e9-63a0-492c-bc54-da5291e7df15" code="Code" value="UYGULAMA_TURU" />
											(SELECT '1' AS '@version', '7cc5b0e9-63a0-492c-bc54-da5291e7df15' AS '@codeSystemGuid', UYGULAMA_TURU_ID AS '@code', UYGULAMA_TURU_ADI AS '@value' FOR XML PATH('UYGULAMA_TURU'), TYPE),

											--<SON_SEANS version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" code="Code" value="SON_SEANS" />
                                            (SELECT '1' AS '@version', 'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS '@codeSystemGuid', SON_SEANS_ID AS '@code', SON_SEANS_ADI AS '@value' FOR XML PATH('SON_SEANS'), TYPE),

											(  --<UYGULANDIGI_DURUM version="1" codeSystemGuid="f74b3dc6-d1dc-46d6-90b8-1a1f93e4fcaa" code="Code" value="UYGULANDIGI_DURUM" />
                                               (SELECT 
													'1' AS 'UYGULANDIGI_DURUM/@version',
													'f74b3dc6-d1dc-46d6-90b8-1a1f93e4fcaa' AS 'UYGULANDIGI_DURUM/@codeSystemGuid',
													ISNULL(UYGULANDIGI_DURUM_1_ID,'') AS 'UYGULANDIGI_DURUM/@code',
													ISNULL(UYGULANDIGI_DURUM_1_ADI,'') AS 'UYGULANDIGI_DURUM/@value'
													FOR XML PATH('UYGULANDIGI_DURUM_BILGILERI'),TYPE)
                                            ),
                                            (  --<UYGULANDIGI_DURUM version="1" codeSystemGuid="f74b3dc6-d1dc-46d6-90b8-1a1f93e4fcaa" code="Code" value="UYGULANDIGI_DURUM" />
                                                (SELECT 
													'1' AS 'UYGULANDIGI_DURUM/@version',
													'f74b3dc6-d1dc-46d6-90b8-1a1f93e4fcaa' AS 'UYGULANDIGI_DURUM/@codeSystemGuid',
													ISNULL(UYGULANDIGI_DURUM_2_ID,UYGULANDIGI_DURUM_1_ID) AS 'UYGULANDIGI_DURUM/@code',
													ISNULL(UYGULANDIGI_DURUM_2_ADI,UYGULANDIGI_DURUM_1_ADI) AS 'UYGULANDIGI_DURUM/@value'
													FOR XML PATH('UYGULANDIGI_DURUM_BILGILERI'),TYPE)
                                            ),
                                            ( -- <UYGULAMA_BOLGESI version="1" codeSystemGuid="f3863fa1-d7a9-4779-b01f-af604591a02e" code="Code" value="UYGULAMA_BOLGESI" />
                                                 (SELECT 
													'1' AS 'UYGULAMA_BOLGESI/@version',
													'f3863fa1-d7a9-4779-b01f-af604591a02e' AS 'UYGULAMA_BOLGESI/@codeSystemGuid',
													ISNULL(UYGULAMA_BOLGESI_1_ID,'') AS 'UYGULAMA_BOLGESI/@code',
													ISNULL(UYGULAMA_BOLGESI_1_ADI,'') AS 'UYGULAMA_BOLGESI/@value'
													FOR XML PATH('UYGULAMA_BOLGESI_BILGILERI'),TYPE)
                                            ),
                                            ( -- <UYGULAMA_BOLGESI version="1" codeSystemGuid="f3863fa1-d7a9-4779-b01f-af604591a02e" code="Code" value="UYGULAMA_BOLGESI" />
                                                (SELECT 
													'1' AS 'UYGULAMA_BOLGESI/@version',
													'f3863fa1-d7a9-4779-b01f-af604591a02e' AS 'UYGULAMA_BOLGESI/@codeSystemGuid',
													ISNULL(UYGULAMA_BOLGESI_2_ID,UYGULAMA_BOLGESI_1_ID) AS 'UYGULAMA_BOLGESI/@code',
													ISNULL(UYGULAMA_BOLGESI_2_ADI,UYGULAMA_BOLGESI_1_ADI) AS 'UYGULAMA_BOLGESI/@value'
													FOR XML PATH('UYGULAMA_BOLGESI_BILGILERI'),TYPE)
                                            )

                                        FOR XML PATH('UYGULAMA_BILGILERI'), TYPE
                                    )
                                 FOR XML PATH(''), TYPE
                                 
                            )--******
                        FROM #TMPUSSDIGER T2 
                        WHERE T2.USSDIGER_ID = #TMPUSSDIGER.USSDIGER_ID
                        FOR XML PATH('GELENEKSEL_VE_TAMAMLAYICI_TIP_BILGILERI'), TYPE
                    ),					
                    (
                        SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
                        FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
                    )							
                FOR XML PATH('recordData'), TYPE
            )
        FROM #TMPUSSDIGER WITH(NOLOCK)
        WHERE USSDIGER_ID = @CURUSSDIGERID
        FOR XML PATH (''), ROOT('SYSMessage')
    ) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
